summaryrefslogtreecommitdiff
path: root/tests/readlink/can-e.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-08-30 14:13:12 +0200
committerJim Meyering <meyering@redhat.com>2012-08-30 18:55:59 +0200
commit9eb4c31eb78c28dd9f72d1cbb940270311be343c (patch)
treeea3078bc1b002a9f948ed41445ca32318002a1d3 /tests/readlink/can-e.sh
parent00f5ba15dd91a3d9780fe1fbd06a4df436ae6714 (diff)
downloadcoreutils-9eb4c31eb78c28dd9f72d1cbb940270311be343c.tar.xz
tests: add .sh and .pl suffixes to shell and perl tests, respectively
Not only this shrinks the size of the generated Makefile (from > 6300 lines to ~3000), but will allow further simplifications in future changes. * tests/Makefile.am (TEST_EXTENSIONS): Add '.sh' and '.pl'. (PL_LOG_COMPILER, SH_LOG_COMPILER): New, still defined simply to $(LOG_COMPILER) for the time being. (TESTS, root_tests): Adjust as described. * All tests: Rename as described.
Diffstat (limited to 'tests/readlink/can-e.sh')
-rwxr-xr-xtests/readlink/can-e.sh104
1 files changed, 104 insertions, 0 deletions
diff --git a/tests/readlink/can-e.sh b/tests/readlink/can-e.sh
new file mode 100755
index 000000000..32b75c595
--- /dev/null
+++ b/tests/readlink/can-e.sh
@@ -0,0 +1,104 @@
+#!/bin/sh
+# tests for canonicalize-existing mode (readlink -e).
+
+# Copyright (C) 2004-2012 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+print_ver_ readlink
+
+pwd=$(pwd)
+my_pwd=$("$abs_top_builddir/src/pwd")
+tmp=d
+
+mkdir $tmp || framework_failure_
+cd $tmp || framework_failure_
+
+mkdir subdir removed || framework_failure_
+touch regfile || framework_failure_
+
+ln -s regfile link1 || framework_failure_
+ln -s subdir link2 || framework_failure_
+ln -s missing link3 || framework_failure_
+ln -s subdir/missing link4 || framework_failure_
+
+cd "$pwd/$tmp/removed" || framework_failure_
+
+# Skip this test if the system doesn't let you remove the working directory.
+if rmdir ../removed 2>/dev/null; then
+ v=$(readlink -e .) && fail=1
+ test -z "$v" || fail=1
+fi
+
+cd "$pwd/$tmp" || fail=1
+
+for p in "" "$pwd/$tmp/"; do
+
+ v=$(readlink -e "${p}regfile") || fail=1
+ test "$v" = "$my_pwd/$tmp/regfile" || fail=1
+
+ v=$(readlink -e "${p}./regfile/") && fail=1
+ test -z "$v" || fail=1
+
+ v=$(readlink -e "${p}subdir") || fail=1
+ test "$v" = "$my_pwd/$tmp/subdir" || fail=1
+
+ v=$(readlink -e "${p}./subdir/") || fail=1
+ test "$v" = "$my_pwd/$tmp/subdir" || fail=1
+
+ v=$(readlink -e "${p}missing") && fail=1
+ test -z "$v" || fail=1
+
+ v=$(readlink -e "${p}./missing/") && fail=1
+ test -z "$v" || fail=1
+
+ v=$(readlink -e "${p}link1") || fail=1
+ test "$v" = "$my_pwd/$tmp/regfile" || fail=1
+
+ v=$(readlink -e "${p}./link1/") && fail=1
+ test -z "$v" || fail=1
+
+ v=$(readlink -e "${p}link1/more") && fail=1
+ test -z "$v" || fail=1
+
+ v=$(readlink -e "${p}link2") || fail=1
+ test "$v" = "$my_pwd/$tmp/subdir" || fail=1
+
+ v=$(readlink -e "${p}./link2/") || fail=1
+ test "$v" = "$my_pwd/$tmp/subdir" || fail=1
+
+ v=$(readlink -e "${p}link2/more") && fail=1
+ test -z "$v" || fail=1
+
+ v=$(readlink -e "${p}link3") && fail=1
+ test -z "$v" || fail=1
+
+ v=$(readlink -e "${p}./link3/") && fail=1
+ test -z "$v" || fail=1
+
+ v=$(readlink -e "${p}link3/more") && fail=1
+ test -z "$v" || fail=1
+
+ v=$(readlink -e "${p}link4") && fail=1
+ test -z "$v" || fail=1
+
+ v=$(readlink -e "${p}./link4/") && fail=1
+ test -z "$v" || fail=1
+
+ v=$(readlink -e "${p}link4/more") && fail=1
+ test -z "$v" || fail=1
+done
+
+Exit $fail